<template>
  <div>
    <v-row justify="center">
      <v-dialog v-model="dialogAnswer" persistent max-width="800px">
        <v-card>
          <v-toolbar style="position:relative" color="white" elevation="0">
            <v-spacer />
            <v-toolbar-title class="mt-5">
              <span class="primary--text">
                <v-icon large color="primary" class="mr-2 pb-1">mdi-card-text</v-icon
                ><b>{{ titleDialog }}</b>
              </span>
            </v-toolbar-title>
            <v-spacer />
            <v-tooltip color="red" bottom>
              <template v-slot:activator="{ on }">
                <v-icon v-on="on" style="position:absolute; right: 15px" color="red" @click="close"
                  >mdi-close</v-icon
                >
              </template>
              <span><b>Fechar</b> janela</span>
            </v-tooltip>
          </v-toolbar>
          <v-card-text class="mt-5">
            <v-container>
              <v-row>
                <v-text-field
                  v-model="answer.name"
                  label="Titulo da Resposta"
                  required
                  prepend-icon="mdi-pencil-box-outline"
                ></v-text-field>
              </v-row>
              <v-row class="mt-5">
                <v-textarea
                  v-model="answer.description"
                  label="Mensagem"
                  required
                  prepend-icon="mdi-card-text-outline"
                ></v-textarea>
              </v-row>
              <v-row justify="center">
                <v-col cols="6">
                  <v-file-input
                    dense
                    label="Selecionar Anexo"
                    accept="image/png, image/jpeg, image/bmp, application/pdf, application/xls, application/xml, application/pptx, application/ppt   "
                    outlined
                    loader-height="4"
                  />
                </v-col>
                <span class="mt-5">Opcional*</span>
              </v-row>
            </v-container>
          </v-card-text>
          <v-card-actions class="mt-n3 pb-6 pr-6">
            <v-spacer></v-spacer>
            <v-btn text color="primary" @click="close">Cancelar</v-btn>
            <v-btn
              v-if="!edit"
              :disabled="!answer.description || !answer.name"
              color="primary"
              elevation="0"
              @click="open"
              >Adicionar</v-btn
            >
            <v-btn v-else elevation="0" color="primary" @click="open">Editar</v-btn>
          </v-card-actions>
        </v-card>
      </v-dialog>
    </v-row>
  </div>
</template>

<script>
export default {
  name: 'AddAnswer',
  props: {
    titleDialog: {
      type: String,
      default: '',
    },
    dialogAnswer: {
      type: Boolean,
      default: false,
    },
    edit: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {
      answer: {
        name: '',
        description: '',
      },
    }
  },
  watch: {
    // answerToView() {
    //   this.answer = JSON.parse(JSON.stringify(this.answerToView))
    // },
  },
  methods: {
    open() {
      this.$emit('openDialogAnswer')
    },
    close() {
      this.answer.name = ''
      this.answer.description = ''
      this.$emit('closeDialogAnswer')
    },
  },
}
</script>
